MyGUI: MyGUI::EventPair< EventObsolete, Event > Class Template Reference

MyGUI 3.4.3

Public Member Functions
MyGUI::EventPair< EventObsolete, Event > Class Template Reference

`#include <MyGUI_EventPair.h>`

Inheritance diagram for MyGUI::EventPair< EventObsolete, Event >:
[legend]

## Public Member Functions
template<typename TP1>
void | operator() (TP1 p1) const
template<typename TP1, typename TP2>
void | operator() (TP1 p1, TP2 p2) const
template<typename TP1, typename TP2, typename TP3>
void | operator() (TP1 p1, TP2 p2, TP3 p3) const
template<typename TP1, typename TP2, typename TP3, typename TP4>
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4) const
template<typename TP1, typename TP2, typename TP3, typename TP4, typename TP5>
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5) const
template<typename TP1, typename TP2, typename TP3, typename TP4, typename TP5, typename TP6>
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6) const
template<typename TP1, typename TP2, typename TP3, typename TP4, typename TP5, typename TP6, typename TP7>
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6, TP7 p7) const
template<typename TP1, typename TP2, typename TP3, typename TP4, typename TP5, typename TP6, typename TP7, typename TP8>
void | operator() (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6, TP7 p7, TP8 p8) const
Public Member Functions inherited from MyGUI::CompositeEvent< EventObsolete, Event >
template<class T>
CompositeEvent & | operator= (T *_delegate)
template<class T>
CompositeEvent & | operator= (const T &_delegate)
CompositeEvent & | operator= (IObsoleteDelegate *_delegate)
template<class T>
void | operator+= (T *)=delete
template<class T>
void | operator-= (T *)=delete
void | operator+= (IObsoleteDelegate *_delegate)
void | operator+= (IDelegate *_delegate)
void | operator-= (IObsoleteDelegate *_delegate)
void | operator-= (IDelegate *_delegate)
void | clear ()
bool | empty () const

## Additional Inherited Members
Public Types inherited from MyGUI::CompositeEvent< EventObsolete, Event >
using | IDelegate = typename Event::IDelegate
Data Fields inherited from MyGUI::CompositeEvent< EventObsolete, Event >
EventObsolete | m_eventObsolete
Event | m_event

## Detailed Description

template<typename EventObsolete, typename Event>
class MyGUI::EventPair< EventObsolete, Event >

Definition at line 98 of file MyGUI_EventPair.h.

## Member Function Documentation

## ◆ operator()() [1/8]

template<typename EventObsolete, typename Event>
template<typename TP1>

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1 | ) | const
| inline

Definition at line 106 of file MyGUI_EventPair.h.

## ◆ operator()() [2/8]

template<typename EventObsolete, typename Event>
template<typename TP1, typename TP2>

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2 ) const
| inline

Definition at line 113 of file MyGUI_EventPair.h.

## ◆ operator()() [3/8]

template<typename EventObsolete, typename Event>
template<typename TP1, typename TP2, typename TP3>

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3 ) const
| inline

Definition at line 120 of file MyGUI_EventPair.h.

## ◆ operator()() [4/8]

template<typename EventObsolete, typename Event>
template<typename TP1, typename TP2, typename TP3, typename TP4>

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4 ) const
| inline

Definition at line 127 of file MyGUI_EventPair.h.

## ◆ operator()() [5/8]

template<typename EventObsolete, typename Event>
template<typename TP1, typename TP2, typename TP3, typename TP4, typename TP5>

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5 ) const
| inline

Definition at line 134 of file MyGUI_EventPair.h.

## ◆ operator()() [6/8]

template<typename EventObsolete, typename Event>
template<typename TP1, typename TP2, typename TP3, typename TP4, typename TP5, typename TP6>

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5,
|  | TP6 | p6 ) const
| inline

Definition at line 141 of file MyGUI_EventPair.h.

## ◆ operator()() [7/8]

template<typename EventObsolete, typename Event>
template<typename TP1, typename TP2, typename TP3, typename TP4, typename TP5, typename TP6, typename TP7>

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5,
|  | TP6 | p6,
|  | TP7 | p7 ) const
| inline

Definition at line 148 of file MyGUI_EventPair.h.

## ◆ operator()() [8/8]

template<typename EventObsolete, typename Event>
template<typename TP1, typename TP2, typename TP3, typename TP4, typename TP5, typename TP6, typename TP7, typename TP8>

void MyGUI::EventPair< EventObsolete, Event >::operator() | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5,
|  | TP6 | p6,
|  | TP7 | p7,
|  | TP8 | p8 ) const
| inline

Definition at line 163 of file MyGUI_EventPair.h.

The documentation for this class was generated from the following file:

- MyGUI_EventPair.h